import { Description } from "./Description";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class SparklineDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private am;
    get brush(): string;
    set brush(a: string);
    private a5;
    get negativeBrush(): string;
    set negativeBrush(a: string);
    private a3;
    get markerBrush(): string;
    set markerBrush(a: string);
    private a6;
    get negativeMarkerBrush(): string;
    set negativeMarkerBrush(a: string);
    private ap;
    get firstMarkerBrush(): string;
    set firstMarkerBrush(a: string);
    private az;
    get lastMarkerBrush(): string;
    set lastMarkerBrush(a: string);
    private at;
    get highMarkerBrush(): string;
    set highMarkerBrush(a: string);
    private a1;
    get lowMarkerBrush(): string;
    set lowMarkerBrush(a: string);
    private ba;
    get trendLineBrush(): string;
    set trendLineBrush(a: string);
    private av;
    get horizontalAxisBrush(): string;
    set horizontalAxisBrush(a: string);
    private be;
    get verticalAxisBrush(): string;
    set verticalAxisBrush(a: string);
    private a8;
    get normalRangeFill(): string;
    set normalRangeFill(a: string);
    private ax;
    get horizontalAxisVisibility(): string;
    set horizontalAxisVisibility(a: string);
    private bg;
    get verticalAxisVisibility(): string;
    set verticalAxisVisibility(a: string);
    private a4;
    get markerVisibility(): string;
    set markerVisibility(a: string);
    private a7;
    get negativeMarkerVisibility(): string;
    set negativeMarkerVisibility(a: string);
    private aq;
    get firstMarkerVisibility(): string;
    set firstMarkerVisibility(a: string);
    private a0;
    get lastMarkerVisibility(): string;
    set lastMarkerVisibility(a: string);
    private a2;
    get lowMarkerVisibility(): string;
    set lowMarkerVisibility(a: string);
    private au;
    get highMarkerVisibility(): string;
    set highMarkerVisibility(a: string);
    private a9;
    get normalRangeVisibility(): string;
    set normalRangeVisibility(a: string);
    private f;
    get displayNormalRangeInFront(): boolean;
    set displayNormalRangeInFront(a: boolean);
    private n;
    get markerSize(): number;
    set markerSize(a: number);
    private i;
    get firstMarkerSize(): number;
    set firstMarkerSize(a: number);
    private k;
    get lastMarkerSize(): number;
    set lastMarkerSize(a: number);
    private j;
    get highMarkerSize(): number;
    set highMarkerSize(a: number);
    private m;
    get lowMarkerSize(): number;
    set lowMarkerSize(a: number);
    private q;
    get negativeMarkerSize(): number;
    set negativeMarkerSize(a: number);
    private l;
    get lineThickness(): number;
    set lineThickness(a: number);
    private p;
    get minimum(): number;
    set minimum(a: number);
    private o;
    get maximum(): number;
    set maximum(a: number);
    private an;
    get dataSourceRef(): string;
    set dataSourceRef(a: string);
    private bd;
    get valueMemberPath(): string;
    set valueMemberPath(a: string);
    private ay;
    get labelMemberPath(): string;
    set labelMemberPath(a: string);
    private bb;
    get trendLineType(): string;
    set trendLineType(a: string);
    private aj;
    get trendLinePeriod(): number;
    set trendLinePeriod(a: number);
    private u;
    get trendLineThickness(): number;
    set trendLineThickness(a: number);
    private s;
    get normalRangeMinimum(): number;
    set normalRangeMinimum(a: number);
    private r;
    get normalRangeMaximum(): number;
    set normalRangeMaximum(a: number);
    private ao;
    get displayType(): string;
    set displayType(a: string);
    private bc;
    get unknownValuePlotting(): string;
    set unknownValuePlotting(a: string);
    private bf;
    get verticalAxisLabelRef(): string;
    set verticalAxisLabelRef(a: string);
    private aw;
    get horizontalAxisLabelRef(): string;
    set horizontalAxisLabelRef(a: string);
    private ar;
    get formatLabelRef(): string;
    set formatLabelRef(a: string);
    private t;
    get pixelScalingRatio(): number;
    set pixelScalingRatio(a: number);
    private h;
    get actualPixelScalingRatio(): number;
    set actualPixelScalingRatio(a: number);
    private bh;
    get width(): string;
    set width(a: string);
    private as;
    get height(): string;
    set height(a: string);
    private al;
    get background(): string;
    set background(a: string);
}
